ENTRY(_start)
OUTPUT_FORMAT(elf32-i386)
OUTPUT_ARCH(i386:i386)

SECTIONS {
    . = 1M;

    .multiboot : ALIGN(4)
    {
        /* ensure that the multiboot header is at the beginning */
        *(.multiboot)
    }

    .text :
    {
        *(.text)
    }

    .bss :
    {
        *(.bss)
    }
    /DISCARD/ :
    {
        *(.comment)
        *(.eh_frame)
        *(.note.gnu.build-id)
        *(.gnu.hash)
        *(.hash)
        *(.dynamic)
        *(.dynstr)
        *(.dynsym)
        *(.rel.dyn)
    }
}
/*
        *(.rodata)
*/
