#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <stdint.h>

int memory[1024];

int load_image(char *imageFile) {
  FILE *fp;
  int imageSize;
  long fileLen;
  if ((fp = fopen(imageFile, "rb")) != NULL) {
    fseek(fp, 0, SEEK_END);
    fileLen = ftell(fp) / sizeof(int);
    rewind(fp);
    imageSize = fread(&memory, sizeof(int), fileLen, fp);
    fclose(fp);
  }
  else {
    printf("Unable to find the image!\n");
    exit(1);
  }
  return imageSize;
}

int main(int argc, char **argv) {
  int size = 0, i = 0, n = 0;

  if (argc == 2)
      size = load_image(argv[1]);
  else
      size = load_image("../ilo.blocks");

  printf("int font[] = {\n  ");
  while (i < 1024) {
    if (n == 5) {
      printf("\n  ");
      n = 0;
    }
    if (i+1 < 1024)
      printf("%11d, ", memory[i]);
    else
      printf("%11d };\n", memory[i]);
    i++;
    n++;
  }
  exit(0);
}
