#!/bin/sh

# ==============================================================
#                         _               _ _            _
#  _ __ _   _ _ __       | | _____  _ __ (_) | ___   ___| |__
# | '__| | | | '_ \ _____| |/ / _ \| '_ \| | |/ _ \ / __| '_ \
# | |  | |_| | | | |_____|   < (_) | | | | | | (_) |\__ \ | | |
# |_|   \__,_|_| |_|     |_|\_\___/|_| |_|_|_|\___(_)___/_| |_|
#
# ================================================ 2024.04.25 ==

H=$(uname | tr '[:upper:]' '[:lower:]')
M=$(uname -m | tr '[:upper:]' '[:lower:]' | sed 's/x86_64/amd64/;s/i[3-6]86/x86/;s/sun4u/sparc/')
TRIPLE="./bin/ilo-$M-$H"

build() {
  [ ! -f "$TRIPLE" ] && cc -O2 -s ilo-vm/ilo.c -o "$TRIPLE"
  chmod +x "$TRIPLE"
}

build && stty cbreak && "$TRIPLE" && stty -cbreak
